package com.hfkj.sysenum;

import java.util.Objects;

/**
 * 结算类型
 * @author hurui
 */

public enum MerOperateType {
    type1(1, "线下"),
    type2(2, "线上"),
    ;

    private Integer number;

    private String name;

    MerOperateType(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerOperateType getDataByNumber(Integer number) {
        for (MerOperateType ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

}
